
import { ExecRunTimeCommandValidationModel } from "./model/run_time_validation_model";
import { CoreHttpController, SubRouter, CallbackStrategyWithIdQuery } from "../../core/controllers/http_controller";
import { ExecBtScenario } from "./domain/exec_bt_builder_usecase";
import { GetRunTimeStatuses } from "./domain/get_run_time_statuses_usecase";
import { StopProcessUseCase } from "./domain/stop_process_usecase";


export class RunTimePresentation extends CoreHttpController<ExecRunTimeCommandValidationModel> {
  constructor() {
    super({
      url: "run_time",
    });

    this.subRoutes.push(new SubRouter<any>("POST", "exec/bt", new ExecBtScenario()));
    this.subRoutes.push(new SubRouter("GET", "status", new GetRunTimeStatuses()));
    this.subRoutes.push(new SubRouter<any>("POST", "kill", new StopProcessUseCase()))
  }
}
